import { EventEmitter } from '@angular/core';
import { GrowlConfig } from './growl.config';
export declare type InputMessage = Message | string | Message[] | string[];
export interface GrowlItem {
    heading?: string;
    message?: string;
    type: 'ERROR' | 'WARN' | 'INFO' | 'SUCCESS';
    id: number;
}
export interface Message {
    heading?: string;
    message?: string;
}
export declare class GrowlService {
    private config;
    constructor(config: GrowlConfig);
    OnAddMessage: EventEmitter<any>;
    OnRemoveMessage: EventEmitter<any>;
    static _createMessage(msg: Message | string): Message;
    private message(msg, type);
    private addMessage(msg, type);
    addError(msg: InputMessage): void;
    addWarn(msg: InputMessage): void;
    addInfo(msg: InputMessage): void;
    addSuccess(msg: InputMessage): void;
}
